---
name: Bug report
about: Follow the instructions carefully on the next page.
title: ''
labels: 1 backlog, bug
assignees: ryanheise

---

<!--

        Note: Issues that don't follow these instructions will be closed,
        therefore please read them carefully.

        1. A bug report must demonstrate a bug in the plugin, and not merely a
           bug in your app. Understand that this plugin WILL throw exceptions
           or otherwise misbehave if not used in accordance with the
           documentation. In order to verify that you have indeed found a bug,
           you will need to make a reference to the documentation in order to
           explain how the actual behaviour you experienced is different from
           the behaviour that was documented. If the behaviour you want is
           undocumented, please submit either a documentation request or a
           feature request instead, whichever is more appropriate.

        2. You must supply a link to a minimal reproduction project and explain
           what steps I need to perform (as a user) in the app to reproduce the
           bug. A minimal reproduction project can be created by forking this
           project and making the minimal number of changes required to the
           example to reproduce the bug. Do not post code directly into the bug
           report, it must be a link to a git repo that I can clone and then
           immediately run.

        3. Leave all markdown formatting in this template intact. Do not modify
           the section headings in any way, and insert your answers below each
           section heading. Use code markdown (3 backticks) when inserting
           errors and logs, not only for readability, but also to avoid issue
           reference spamming using the # symbol.

        THANK YOU :-D


-->
**Which API doesn't behave as documented, and how does it misbehave?**
Name here the specific methods or fields that are not behaving as documented, and explain clearly what is happening.

**Minimal reproduction project**
Provide a link here using one of two options:
1. Fork this repository and modify the example to reproduce the bug, then provide a link here.
2. If the unmodified official example already reproduces the bug, just write "The example".

**To Reproduce (i.e. user steps, not code)**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Error messages**

```
If applicable, copy & paste error message here, within the triple quotes to preserve formatting.
```

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Runtime Environment (please complete the following information if relevant):**
 - Device: [e.g. Samsung Galaxy Note 8]
 - OS: [e.g. Android 8.0.0]

**Flutter SDK version**
```
insert output of "flutter doctor" here
```

**Additional context**
Add any other context about the problem here.
